| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IBillboardSceneNode Class Reference

A billboard scene node. More...

`#include <IBillboardSceneNode.h>`

Inheritance diagram for irr::scene::IBillboardSceneNode:

List of all members.

## Public Member Functions

- IBillboardSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id, const core::vector3df &position=core::vector3df(0, 0, 0))
    Constructor.
- virtual void getColor (video::SColor &topColor, video::SColor &bottomColor) const =0
    Gets the color of the top and bottom vertices of the billboard.
- virtual const
  core::dimension2d< f32 > & getSize () const =0
    Returns the size of the billboard.
- virtual void getSize (f32 &height, f32 &bottomEdgeWidth, f32 &topEdgeWidth) const =0
    Gets the size of the the billboard and handles independent top and bottom edge widths correctly.
- virtual void setColor (const video::SColor &overallColor)=0
    Set the color of all vertices of the billboard.
- virtual void setColor (const video::SColor &topColor, const video::SColor &bottomColor)=0
    Set the color of the top and bottom vertices of the billboard.
- virtual void setSize (const core::dimension2d< f32 > &size)=0
    Sets the size of the billboard, making it rectangular.
- virtual void setSize (f32 height, f32 bottomEdgeWidth, f32 topEdgeWidth)=0
    Sets the size of the billboard with independent widths of the bottom and top edges.

## Detailed Description

A billboard scene node.

A billboard is like a 3d sprite: A 2d element, which always looks to the camera. It is usually used for explosions, fire, lensflares, particles and things like that.

Definition at line 20 of file IBillboardSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::IBillboardSceneNode::IBillboardSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id,
|  | const core::vector3df & | position = `core::vector3df(0,0,0)`
| ) |  | `[inline]`

Constructor.

Definition at line 25 of file IBillboardSceneNode.h.

## Member Function Documentation

virtual void irr::scene::IBillboardSceneNode::getColor | ( | video::SColor & | topColor,
|  | video::SColor & | bottomColor
| ) |  | const`[pure virtual]`

Gets the color of the top and bottom vertices of the billboard.

Parameters:

  [out] | topColor | Stores the color of the top vertices
  [out] | bottomColor | Stores the color of the bottom vertices

Implemented in irr::scene::IBillboardTextSceneNode.

virtual const core::dimension2d<f32>& irr::scene::IBillboardSceneNode::getSize | ( |  | ) | const`[pure virtual]`

Returns the size of the billboard.

This will return the width of the bottom edge of the billboard. Use getWidths() to retrieve the bottom and top edges independently.

Returns:
  Size of the billboard.

Implemented in irr::scene::IBillboardTextSceneNode.

virtual void irr::scene::IBillboardSceneNode::getSize | ( | f32 & | height,
|  | f32 & | bottomEdgeWidth,
|  | f32 & | topEdgeWidth
| ) |  | const`[pure virtual]`

Gets the size of the the billboard and handles independent top and bottom edge widths correctly.

Parameters:

  [out] | height | The height of the billboard.
  [out] | bottomEdgeWidth | The width of the bottom edge of the billboard.
  [out] | topEdgeWidth | The width of the top edge of the billboard.

virtual void irr::scene::IBillboardSceneNode::setColor | ( | const video::SColor & | overallColor | ) | `[pure virtual]`

Set the color of all vertices of the billboard.

Parameters:

  [in] | overallColor | Color to set

Implemented in irr::scene::IBillboardTextSceneNode.

virtual void irr::scene::IBillboardSceneNode::setColor | ( | const video::SColor & | topColor,
|  | const video::SColor & | bottomColor
| ) |  | `[pure virtual]`

Set the color of the top and bottom vertices of the billboard.

Parameters:

  [in] | topColor | Color to set the top vertices
  [in] | bottomColor | Color to set the bottom vertices

Implemented in irr::scene::IBillboardTextSceneNode.

virtual void irr::scene::IBillboardSceneNode::setSize | ( | const core::dimension2d< f32 > & | size | ) | `[pure virtual]`

Sets the size of the billboard, making it rectangular.

Implemented in irr::scene::IBillboardTextSceneNode.

virtual void irr::scene::IBillboardSceneNode::setSize | ( | f32 | height,
|  | f32 | bottomEdgeWidth,
|  | f32 | topEdgeWidth
| ) |  | `[pure virtual]`

Sets the size of the billboard with independent widths of the bottom and top edges.

Parameters:

  [in] | height | The height of the billboard.
  [in] | bottomEdgeWidth | The width of the bottom edge of the billboard.
  [in] | topEdgeWidth | The width of the top edge of the billboard.

The documentation for this class was generated from the following file:

- IBillboardSceneNode.h